//SIDE NAV LOGIN STYLES
.container{
  background-size: cover;
  display: grid;
  grid-template-columns: [login-form-start]25vw [login-form-end login-background-start] 75vw [login-background-end];
  grid-template-rows: 100vh;


  .login-form{
    grid-column: login-form-start/login-form-end;
    grid-row: 1/-1;
    background-color: #FFF;
    z-index: 10;

    display: grid;
    grid-template-rows: 20rem 20rem 6rem 10rem;
    grid-template-columns: repeat(auto-fit,minmax(20rem,1fr));

    &__header{
      justify-self: center;
      align-self: center;
      margin-top: 4rem;
      img{
        width: 20rem;
        filter: brightness(108%);
      }
    }

    &__input{
      grid-row: 2/ span 1;
      display: grid;
      grid-template-columns: repeat(auto-fit,1fr);
      grid-template-rows: repeat(2,5rem);
      padding: 4rem;
      grid-row-gap: 3.5rem;
      font-size: 1.6rem;

      &--username{
        grid-row:  1/2;
      }

      &--password{
        grid-row:  2/3;
      }
    }

    &__other-action{
      grid-row: 3/4;
      padding: 1.5rem 4rem;
      font-size: 1.5rem;

      display: grid;
      grid-template-columns: repeat(2,1fr);
      grid-column-gap: 3rem;
      justify-self:start;

      .forgot-password{
        font-size: 1.5rem;
        font-family: Roboto,"Helvetica Neue",sans-serif;
        font-weight: 400;
        cursor: pointer;
      }
    }

    &__btn-container{
      grid-row: 4/5;
      padding: 0 4rem;
      
      display: grid;
      grid-template-columns: repeat(2,1fr);
      grid-column-gap: 1rem;
      align-content: center;
    
      .btn-config{
        height: 5rem;
      }
      
      &--btn-1{
        grid-column: 1/2;
      }

      &--btn-2{
        grid-column: 2/3;
      }
    }
  }

  .login-background{
    grid-column: login-form-end/login-background-end;
    img{
      width: calc(100vw - 25vw);
      height: 100vh;
      background-size: cover;
      filter: brightness(70%);      
    }
  }
}
//SIDE NAV LOGIN STYLES
